Author Topic: apparent midpoint  (Read 2777 times)

0 Members and 1 Guest are viewing this topic.

ELOQUINTET

  • Guest
apparent midpoint
« on: August 12, 2004, 01:25:03 PM »
hey guys i can't find what i'm lookin for well sorta got it. when i put it into my menu how should it read here's what i got but it aint workin what's up?

ID_OsnapApMidp [&Apparent Midpoint]_non;'cal (cur + cur)/2;

M-dub

  • Guest
apparent midpoint
« Reply #1 on: August 12, 2004, 02:50:19 PM »
Dan,
  I've put this one in my startup suite and the definition in my right click POP0 menu...

Code: [Select]
(defun c:btwn (/ PT1 PT2)
  (setq PT1
    (getpoint "\nEnter first point:")
  )
  (setq PT2
    (getpoint "\nEnter second point:")
  )
  (polar PT1
    (angle PT1 PT2)
    (/ (distance PT1 PT2) 2)
  )
); end btwn.lsp


View it over here ---> http://theswamp.org/phpBB2/viewtopic.php?t=829&highlight=btwn

CADaver

  • Guest
Re: apparent midpoint
« Reply #2 on: August 12, 2004, 03:58:20 PM »
Quote from: eloquintet
hey guys i can't find what i'm lookin for well sorta got it. when i put it into my menu how should it read here's what i got but it aint workin what's up?

ID_OsnapApMidp [&Apparent Midpoint]_non;'cal (cur + cur)/2;
Dunno, works fer me. Is cal loaded?

ELOQUINTET

  • Guest
apparent midpoint
« Reply #3 on: August 12, 2004, 04:54:20 PM »
mdub i have btwn already but i remember i couldn't get it twork then somebody said all i had to do was put this in my mns and it worked but i did a reinstall and poof gone. cadaver nothing shows up in my right click menu and not sure how to load cal. help

M-dub

  • Guest
apparent midpoint
« Reply #4 on: August 12, 2004, 05:15:19 PM »
Have you reloaded your mns since you added the POP0 definition?

CADaver

  • Guest
apparent midpoint
« Reply #5 on: August 12, 2004, 05:29:13 PM »
Quote from: eloquintet
mdub i have btwn already but i remember i couldn't get it twork then somebody said all i had to do was put this in my mns and it worked but i did a reinstall and poof gone. cadaver nothing shows up in my right click menu and not sure how to load cal. help
Just type CAl at the keyboard and see what happens, you should get
Command: cal
 >> Expression:

If you get:
Command: cal
Initializing...>> Expression:

You may need to add:
Code: [Select]
(if (= cal nil)(arxload "geomcal"))
to your button to make sure it loads prior to executing.

ELOQUINTET

  • Guest
apparent midpoint
« Reply #6 on: August 13, 2004, 10:41:43 AM »
i think it was the reload i always forget that got it now thanks

CADaver

  • Guest
apparent midpoint
« Reply #7 on: August 13, 2004, 01:26:36 PM »
Quote from: eloquintet
i think it was the reload i always forget that got it now thanks
KEWL